OpenGL Problems with Rev D iMac

Jeff Ulrikson

Registered
¸?? ?that any time I attempt to use an Application that uses hardware rendering (IE: OpenGL), I end up with a BLACK screen. I can tell that the app lis running, because I can still hear sound. Software renders are fine. For example Omni's Quake III and Bugdom. I've followed Omni's instructions with regard to installation. I've even reformatted my HD and reinstalled MacOS 9 & X thinking that there was some glitch that I created tinkering around. No luck. From the chatter I've seen while trying to find a solution, apparently others AREN'T having this problem. But then, I have't seen anyone that notes my particular hardware. Any thoughts?

Rev D iMac (Bondi) [333MHz]
ATI Rage Pro (6MB vRAM)
256 MB RAM
5 GB MacOS 9 Partition
5 GB MacOS X Partition
 

skinlayers

Registered
I am having the EXACT same problem.

iMac 266 (rev-C)
3.5 MB OS 9.0.4 partion
1.5 OS X PB partion
160 MB of RAM
6 MB ATI Rage Pro
Q3A 1.17
 

Jeff Ulrikson

Registered
Well,

I've tried it on an ATI 128, and it DOES work (iMac DV+ SE - Snow). So, It's got to be the Rage Pro Drivers that are lacking (Rev C has them too). Ok, I'm gonna ask again folks. Does ANYONE know where to get the 3D Hardware drivers for the Rage Pro (I assue that standard Unix drivers would work - Not nessisarily ones SPECIFICALLY for OSX)(? Anyone have a workaround? Help!
 

Baboon

Registered
So, I want hardware OpenGL on my iMac too!! I need it for developing....
so what can we do? Ask people for workaround drivers from the unix world and everyone with a Rage PRO please send feedback to Apple!!!!!!!

I do that often, and always about the Rage PRO thing!!!!

Please help me to get hardware OpenGL on iMacs Rev A-D, some powerbooks and ibooks!! We need it, and still not here in OS X 10.1!!
 

RacerX

Old Rhapsody User
Why are you using Omni's version of Quake III (1.17)? It was designed to run on Mac OS X DP4 and PB (sort of), not 10.0.x. Omni never got around to updating their version because Id assumed control of the Quake III for Mac OS X project. You should download Id's Mac OS X version (which is 1.29f) to see if you still have the same problems.

You can get it at: http://www.versiontracker.com/redir.fcgi/kind=1&db=mac&id=8961/quake3-macosx-129f-2.dmg

(it is about a 25MB download)
 

Jeff Ulrikson

Registered
Before you start making more moronic suggestions like the last one, please refer to the original post date: 10-07-2000

Most could put two and two together...

Incidentally, the OpenGL driver "problem," (EG: Apple has gotten around to documenting the shortcoming - Rage Pro hardware drivers DO NOT exist in Mac OS X 10.0-10.0.4) which was SUPPOSED to be fixed in 10.1 and STILL hasn't been (at least in Build 5G64). Hope this doesn't break my non-disclosure agreement (Grin)...
 

RacerX

Old Rhapsody User
Originally posted by Jeff Ulrikson
Before you start making more moronic suggestions like the last one, please refer to the original post date: 10-07-2000
Wow! You are not very social are you. What sparked such a hostile responce? Have you forgotten to taking your medication again? :D

Funny, I can't imagine that you would have anything to disclose that would break any "non-disclosure agreement".
 

Jeff Ulrikson

Registered
Wow! You're still twit. Let me guess, you're either a Salesperson, an Engineer or a Polititian. None of whom read things CLOSELY before opening their traps. Don't offer us your opinions or, "sagely advice" when you clearly haven't read the post CLOSELY. Moreover, your observations were morose at best. Your sort is of the type who posts, and more often for no apparent reason, only to see their words in print. Frankly I don't NEED medication to see that you are a festering GOB, you TIT. You ARE the weakest link, GOODBYE! I'll thank you for not bringing the subject up again Mister 280 posts in 5 months INDEED!!!

:p
 

RacerX

Old Rhapsody User
why stop now?

Originally posted by Jeff Ulrikson
Wow! You're still twit. Let me guess, you're either a Salesperson, an Engineer or a Polititian. None of whom read things CLOSELY before opening their traps.
Salesperson! Now that hurt! Speaking of reading closely, nothing I said in my original post was degrading or hostile, yet your responce was both (showing that you have some serious issues that you need to deal with).


Don't offer us your opinions or, "sagely advice" when you clearly haven't read the post CLOSELY. Moreover, your observations were morose at best. Your sort is of the type who posts, and more often for no apparent reason, only to see their words in print.
In this case, yes, you are right. In my first post I was trying to offer help to an active thread (the post before mine made it show up on the list again) in which the problem was dealing with an out of date version of Q3. Agian, best intentions followed by your worst of human nature (like I said, you have serious issues).


Frankly I don't NEED medication to see that you are a festering GOB, you TIT. You ARE the weakest link, GOODBYE! I'll thank you for not bringing the subject up again Mister 280 posts in 5 months INDEED!!!
I still think you calling me a salesperson was your best shot to date. And yes, you are in need of medication. No one who is as hostile and anti-social as yourself could ever hope to get help just seeking therapy. I'm sure that you were either abused as a child or have never had a date in your life, or some other distressing event to make you the person you are today (don't worry, I like you, people like you are fun to tease).

I look forward to next shining post. Just don't call me a salesperson again, we don't need to go that low, now do we.

Mr. 281
 
Top